program translation;

{$mode objfpc}

uses
  JS, Classes, SysUtils, Web, Rtl.HTMLTranslate;

Var
  aButton : TJSHTMLButtonELement;
  aTranslator : THTMLTagTranslator;
  IsDutch : Boolean;

procedure DoLangLoaded(Sender: TObject; aLanguage: String);
begin
  aTranslator.TranslateBelowHTMLTag(TJSHTMLElement(Document.body));
  aTranslator.TranslateBelowHTMLTag(TJSHTMLElement(Document.head));
end;


function DoTranslation(aEvent: TJSMouseEvent): boolean;

begin
  Result:=True;
  IsDutch:=Not IsDutch;
  if IsDutch then
    aTranslator.Language:='nl'
  else
    aTranslator.Language:='en'
end;

Procedure Init;

begin
  aTranslator:=THTMLTagTranslator.Create(nil);
  aTranslator.LanguageSource:=lsMulti;
  aTranslator.LanguageFileURL:='lang.json';
  aTranslator.OnLanguageLoaded:=@DoLangLoaded;
  aTranslator.DefaultScope:='html';
  aButton:=TJSHTMLButtonELement(Document.GetElementByID('btn-translate'));
  aButton.onclick:=@DoTranslation;
end;

begin
  Init;
end.
